#
# spec file for package python-distro
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{!?license: %global license %doc}
%bcond_without test
Name:           python-distro
Version:        1.4.0
Release:        2.1
Summary:        Linux Distribution - a Linux OS platform information API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/nir0s/distro
Source:         https://files.pythonhosted.org/packages/source/d/distro/distro-%{version}.tar.gz
Patch0:         assert_locale.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test
%if %{with test}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
%endif
# /SECTION
%python_subpackages

%description
distro (for: Linux Distribution) provides information about the Linux distribution it runs on, such as a reliable machine-readable ID, or version information.

It is a renewed alternative implementation for Python's original platform.linux_distribution function, but it also provides much more functionality which isn't necessarily Python bound like a command-line interface.

%prep
%setup -q -n distro-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install

%if %{with test}
%check
# Explicit settings of locale is necessary gh#nir0s/distro#223
LANG=en_US.utf8 %python_exec setup.py pytest
%endif

%files %{python_files}
%doc CHANGELOG.md README.md
%python3_only %{_bindir}/distro
%{python_sitelib}/*
%%license LICENSE

%changelog
* Sun Feb 10 2019 sebix+novell.com@sebix.at
- Update to version 1.4.0:
  * Backward Compatibility:
  * Prefer the VERSION_CODENAME field of os-release to parsing it from VERSION [[#230](https://github.com/nir0s/distro/pull/230)]
  * Bug Fixes:
  * Return _uname_info from the uname_info() method [[#233](https://github.com/nir0s/distro/pull/233)]
  * Fixed CloudLinux id discovery [[#234](https://github.com/nir0s/distro/pull/234)]
  * Update Oracle matching [[#224](https://github.com/nir0s/distro/pull/224)]
  * Docs:
  * Distro is the recommended replacement for platform.linux_distribution [[#220](https://github.com/nir0s/distro/pull/220)]
  * Release:
  * Use Markdown for long description in setup.py [[#219](https://github.com/nir0s/distro/pull/219)]
* Wed Feb  6 2019 tbechtold@suse.com
- Drop useless BuildRequires of python-flake8 and python-pytest-cov
* Tue Feb  5 2019 mcepl@suse.com
- Add assert_locale.patch to warn about wrong locale.
* Wed Jun 13 2018 mcepl@suse.com
- Enable tests properly (this is pytest, not unittest),
  it is necessary to explicitly set locale to an Unicode one
  (https://github.com/nir0s/distro/issues/223)
* Thu May 10 2018 sebix+novell.com@sebix.at
- update to version 1.3.0:
  * improvements for other operating systems
  * documentation:
  * Add Ansible reference implementation and fix arch-linux link (#213)
  * Add facter reference implementation (#213)
* Thu Feb  8 2018 rjschwei@suse.com
- Include in SLE 15 (FATE#324993, boo#997614))
* Sun Dec 24 2017 sebix+novell.com@sebix.at
- update to version 1.2.0:
  * Explicitly set Python versions for flake8 tests.
* Fri Dec  1 2017 sebix+novell.com@sebix.at
- update to version 1.1.0 / 1.0.5:
  * Include resources needed for tests and docs in source tarballs
* Sat Jul 22 2017 sebix+novell.com@sebix.at
- initial package
